Commit 7ceaff34 authored by Sébastien Blin's avatar Sébastien Blin

dependencies: add openssl to dependencies

Change-Id: I77063f047e28fe4298d93649660d9dacb9f9e8a2
parent dad4c3be
......@@ -61,7 +61,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -61,7 +61,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -63,7 +63,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -63,7 +63,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -53,7 +53,8 @@ RUN dnf upgrade -y && \
cryptopp-devel \
libva-devel \
libvdpau-devel \
NetworkManager-libnm-devel
NetworkManager-libnm-devel \
openssl-devel
ADD scripts/build-package-fedora.sh /opt/build-package-fedora.sh
......
......@@ -53,7 +53,8 @@ RUN dnf upgrade -y && \
cryptopp-devel \
libva-devel \
libvdpau-devel \
NetworkManager-libnm-devel
NetworkManager-libnm-devel \
openssl-devel
ADD scripts/build-package-fedora.sh /opt/build-package-fedora.sh
......
......@@ -53,7 +53,8 @@ RUN dnf upgrade -y && \
cryptopp-devel \
libva-devel \
libvdpau-devel \
NetworkManager-libnm-devel
NetworkManager-libnm-devel \
openssl-devel
ADD scripts/build-package-fedora.sh /opt/build-package-fedora.sh
......
......@@ -53,7 +53,8 @@ RUN dnf upgrade -y && \
cryptopp-devel \
libva-devel \
libvdpau-devel \
NetworkManager-libnm-devel
NetworkManager-libnm-devel \
openssl-devel
ADD scripts/build-package-fedora.sh /opt/build-package-fedora.sh
......
......@@ -53,7 +53,8 @@ RUN dnf upgrade -y && \
cryptopp-devel \
libva-devel \
libvdpau-devel \
NetworkManager-libnm-devel
NetworkManager-libnm-devel \
openssl-devel
ADD scripts/build-package-fedora.sh /opt/build-package-fedora.sh
......
......@@ -53,7 +53,8 @@ RUN dnf upgrade -y && \
cryptopp-devel \
libva-devel \
libvdpau-devel \
NetworkManager-libnm-devel
NetworkManager-libnm-devel \
openssl-devel
ADD scripts/build-package-fedora.sh /opt/build-package-fedora.sh
......
......@@ -51,7 +51,8 @@ RUN dnf upgrade -y && \
libva-devel \
libvdpau-devel \
msgpack-devel \
NetworkManager-libnm-devel
NetworkManager-libnm-devel \
openssl-devel
# Packaging tools
RUN dnf install -y yum-utils rpmdevtools
......
......@@ -54,7 +54,8 @@ RUN dnf upgrade -y && \
libva-devel \
libvdpau-devel \
msgpack-devel \
NetworkManager-libnm-devel
NetworkManager-libnm-devel \
openssl-devel
ADD scripts/build-package-fedora.sh /opt/build-package-fedora.sh
......
......@@ -54,7 +54,8 @@ RUN dnf upgrade -y && \
libva-devel \
libvdpau-devel \
msgpack-devel \
NetworkManager-libnm-devel
NetworkManager-libnm-devel \
openssl-devel
ADD scripts/build-package-fedora.sh /opt/build-package-fedora.sh
......
......@@ -54,7 +54,8 @@ RUN dnf upgrade -y && \
libva-devel \
libvdpau-devel \
msgpack-devel \
NetworkManager-libnm-devel
NetworkManager-libnm-devel \
openssl-devel
ADD scripts/build-package-fedora.sh /opt/build-package-fedora.sh
......
......@@ -62,7 +62,8 @@ RUN apt-get update && \
libwebkit2gtk-3.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -62,7 +62,8 @@ RUN apt-get update && \
libwebkit2gtk-3.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -62,7 +62,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -62,7 +62,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -62,7 +62,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -62,7 +62,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -72,7 +72,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -72,7 +72,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -74,7 +74,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -74,7 +74,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -74,7 +74,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -74,7 +74,8 @@ RUN apt-get update && \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev
libvdpau-dev \
libssl-dev
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
......@@ -75,7 +75,7 @@ ZYPPER_DEPENDENCIES = [
'libnettle-devel', 'libopus-devel', 'libgnutls-devel', 'msgpack-devel', 'libavcodec-devel',
'libavdevice-devel', 'pcre-devel', 'libogg-devel', 'libsndfile-devel', 'libvorbis-devel',
'flac-devel', 'libgsm-devel', 'alsa-devel', 'libpulse-devel', 'libudev-devel', 'libva-devel',
'libvdpau-devel'
'libvdpau-devel', 'libopenssl-devel',
# lrc
'libQt5Core-devel', 'libQt5DBus-devel', 'libqt5-linguist-devel',
# gnome client
......@@ -110,7 +110,7 @@ DNF_DEPENDENCIES = [
'uuid-devel', 'gnutls-devel', 'nettle-devel', 'opus-devel', 'speexdsp-devel',
'yaml-cpp-devel', 'qt5-qtbase-devel', 'swig', 'qrencode-devel', 'jsoncpp-devel',
'gtk3-devel', 'clutter-devel', 'clutter-gtk-devel', 'evolution-data-server-devel',
'libnotify-devel', 'libappindicator-gtk3-devel', 'patch', 'libva-devel',
'libnotify-devel', 'libappindicator-gtk3-devel', 'patch', 'libva-devel', 'openssl-devel',
'webkitgtk4-devel', 'NetworkManager-libnm-devel', 'libvdpau-devel', 'msgpack-devel', 'libcanberra-devel'
]
......@@ -121,7 +121,7 @@ APT_DEPENDENCIES = [
'libclutter-gtk-1.0-dev', 'libcppunit-dev', 'libdbus-1-dev',
'libdbus-c++-dev', 'libebook1.2-dev', 'libexpat1-dev', 'libgnutls28-dev',
'libgsm1-dev', 'libgtk-3-dev', 'libjack-dev', 'libnotify-dev',
'libopus-dev', 'libpcre3-dev', 'libpulse-dev', 'libsamplerate0-dev',
'libopus-dev', 'libpcre3-dev', 'libpulse-dev', 'libsamplerate0-dev', 'libssl',
'libsndfile1-dev', 'libspeex-dev', 'libspeexdsp-dev', 'libswscale-dev', 'libtool',
'libudev-dev', 'libupnp-dev', 'libyaml-cpp-dev', 'qtbase5-dev', 'sip-tester', 'swig',
'uuid-dev', 'yasm', 'libqrencode-dev', 'libjsoncpp-dev', 'libappindicator3-dev',
......@@ -134,7 +134,7 @@ PACMAN_DEPENDENCIES = [
'expat', 'gsm', 'gtk3', 'jack', 'libnotify', 'opus', 'pcre', 'libpulse', 'libsamplerate',
'libsndfile', 'speex', 'speexdsp', 'libtool', 'libupnp', 'yaml-cpp', 'qt5-base',
'swig', 'yasm', 'qrencode', 'evolution-data-server', 'make', 'patch', 'pkg-config',
'automake', 'libva', 'webkit2gtk', 'libnm', 'libvdpau', 'libcanbera'
'automake', 'libva', 'webkit2gtk', 'libnm', 'libvdpau', 'libcanbera', 'openssl'
]
OSX_DEPENDENCIES = [
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment